const liveServer = require("rollup-plugin-live-server");

export default {
    input: "src/main.js",
    output: {
        file: "dist/boxline.chart.js",
        format: "umd",
        name: "chart"
    },
    plugins: [
        liveServer({
            port: 8001,
            host: "0.0.0.0",
            root: "demo",
            file: "index.html",
            mount: [["/dist", "./dist"], ["/index.html", "./index.html"]],
            open: false,
            wait: 500
        })
    ]
};
