export function expanderProvider() {
    this.render = function () {
        var self = this;
        return {
            type: "bi.vertical",
            items: [{
                type: "bi.multi_select_item",
                selected: BI.bind(getAttr, this)(),
                value: "设置项1",
                height: 16,
                handler: function () {
                    BI.bind(setAttr, self)(this.isSelected());
                }
            }],
            vgap: 10,
            hgap: 15
        }
    };

    function getAttr() {
        var attr = this.getInjectAttr();
        return attr["testAttr"];
    }

    function setAttr(value) {
        this.setInjectAttr("testAttr", value);
    }
};